/*
 * Copyright (c) 2010 Michael Pippig
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include "pnfft.h"
#include "ipnfft.h"


void *PNX(malloc)(
    size_t n, MPI_Comm comm
    )
{
  void *p;

  if (n == 0)
    n = 1;

  p = X(malloc)(n);

  if (!p)
    PNX(die)("pnfft_malloc: out of memory\n", comm);

  return p;
}


void PNX(free)(
    void *p
    )
{
  if (p)
    X(free)(p);
}


void PNX(die)(
    const char *s, MPI_Comm comm
    )
{
  fflush(stdout);
  PNX(message)(s, comm);
  exit(EXIT_FAILURE);
}
