/*
 * Copyright (c) 2010 Michael Pippig
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include "pnfft.h"
#include "ipnfft.h"


int PNX(create_procmesh_2d)(
    MPI_Comm comm, int np0, int np1,
    MPI_Comm *comm_cart_2d
    )
{
  return PX(create_procmesh_2d)(
      comm, np0, np1, comm_cart_2d);
}


void PNX(message)(
    const char *string, MPI_Comm comm
    )
{
  int myrank;
  MPI_Comm_rank(comm, &myrank);

  if(!myrank)
    fprintf(stderr, "%s", string);
}


INT PNX(prod_ptrdiff_t)(
    int d, const INT *vec
    )
{
  return PX(prod_ptrdiff_t)(d, vec);
}


int PNX(equal_ptrdiff_t)(
    int d, const INT *vec1, const INT *vec2
    )
{
  return PX(equal_ptrdiff_t)(d, vec1, vec2);
}


void PNX(vcopy_ptrdiff_t)(
    int d, const INT *vec1,
    INT *vec2
    )
{
  PX(vcopy_ptrdiff_t)(d, vec1,
      vec2);
}


void PNX(vadd_ptrdiff_t)(
    int d, const INT *vec1, const INT *vec2,
    INT *sum
    )
{
  PX(vadd_ptrdiff_t)(d, vec1, vec2,
      sum);
}


void PNX(vsub_ptrdiff_t)(
    int d, const INT *vec1, const INT *vec2,
    INT *sum
    )
{
  PX(vsub_ptrdiff_t)(d, vec1, vec2,
      sum);
}

